| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.GaudiHandles.PrivateToolHandle Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.PrivateToolHandle:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.PrivateToolHandle:
[legend]

## Public Member Functions
def | __init__ (self, toolTypeAndName='')
Public Member Functions inherited from GaudiKernel.GaudiHandles.GaudiHandle
def | __init__ (self, typeAndName)
def | __repr__ (self)
def | __str__ (self)
def | toStringProperty (self)
def | getType (self)
def | getName (self)
def | getGaudiHandle (self)
def | getFullName (self)

## Static Public Attributes
string | componentType = "AlgTool"
bool | isPublic = False
Static Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandle
string | componentType = "Unspecified"
bool | isPublic = True

## Static Private Attributes
tuple | __slots__ = ()

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandle
| typeAndName

## Detailed Description

Definition at line 82 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.PrivateToolHandle.__init__ | ( |  | self,
|  |  | toolTypeAndName = `''`
| ) |  |

Definition at line 87 of file GaudiHandles.py.

87 def __init__(self, toolTypeAndName=''):
88 GaudiHandle.__init__(self, toolTypeAndName)
89
90
GaudiKernel.GaudiHandles.PrivateToolHandle.__init__
def __init__(self, toolTypeAndName='')
Definition: GaudiHandles.py:87

## Member Data Documentation

tuple GaudiKernel.GaudiHandles.PrivateToolHandle.__slots__ = ()
| static private

Definition at line 83 of file GaudiHandles.py.

string GaudiKernel.GaudiHandles.PrivateToolHandle.componentType = "AlgTool"
| static

Definition at line 84 of file GaudiHandles.py.

bool GaudiKernel.GaudiHandles.PrivateToolHandle.isPublic = False
| static

Definition at line 85 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py